Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.impl
Class MVELAction

    java.lang.Object
      org.jbpm.process.instance.impl.MVELAction

All Implemented Interfaces:
  Externalizable, Serializable, org.drools.core.base.mvel.MVELCompileable, Action

    public class MVELAction

extends Object
implements Action, org.drools.core.base.mvel.MVELCompileable, Externalizable

See Also:
  Serialized Form

Constructor Summary
`MVELAction()`
`MVELAction(org.drools.core.base.mvel.MVELCompilationUnit unit, String id)`

Method Summary
`void` | `compile(org.drools.core.rule.MVELDialectRuntimeData data)`
`void` | `execute(ProcessContext context)`
`Serializable` | `getCompExpr()`
`String` | `getDialect()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVELAction

    public MVELAction()

### MVELAction

    public MVELAction(org.drools.core.base.mvel.MVELCompilationUnit unit,
                      String id)

Method Detail

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### compile

    public void compile(org.drools.core.rule.MVELDialectRuntimeData data)

  Specified by:
    `compile` in interface `org.drools.core.base.mvel.MVELCompileable`

### getDialect

    public String getDialect()

### execute

    public void execute(ProcessContext context)
                 throws Exception

  Specified by:
    `execute` in interface `Action`
  Throws:
    `Exception`

### getCompExpr

    public Serializable getCompExpr()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.